=== debian/changelog ===
tree-sitter (0.25.6-3) experimental; urgency=medium

  * Remove version constraint for Breaks/Replaces of libtree-sitter0.22
    (Closes: #1108626)
  * libtree-sitter0.25: Add Breaks/Replaces against libtree-sitter0

 -- James McCoy <jamessan@debian.org>  Fri, 04 Jul 2025 09:20:04 -0400

tree-sitter (0.25.6-2) experimental; urgency=medium

  * Include main package version in librust-tree-sitter-dev version to ensure
    it changes with every upload, even if the crate version didn't change.
    (Closes: #1108220)

 -- James McCoy <jamessan@debian.org>  Mon, 23 Jun 2025 11:51:17 -0400

tree-sitter (0.25.6-1) experimental; urgency=medium

  * Update to new upstream version 0.25.6.
  * autopkgtests: Use versioned Provides to ensure the right package is installed

 -- James McCoy <jamessan@debian.org>  Sat, 21 Jun 2025 07:48:34 -0400

tree-sitter (0.25.4-1) experimental; urgency=medium

  * Update to new upstream version 0.25.4. (Closes: #1082967)
  * Update SONAME to libtree-sitter0.25
  * Add librust-tree-sitter-generate-dev package
  * Add librust-tree-sitter-language-dev package
  * Add autopkgtests for tree-sitter-generate and tree-sitter-language
  * Move all non-debhelper Build-Depends to Build-Depends-Arch, since only
    Arch: any packages are built
  * tree-sitter-loader: Add Provides for t-s-highlight and t-s-tags features
  * tree-sitter: Add provides for std feature
  * autopkgtest: Add bindgen dependency for tree-sitter --all-features test
  * lintian: Suppress package-contains-no-arch-dependent-files for
    librust-*-dev packages

 -- James McCoy <jamessan@debian.org>  Sun, 15 Jun 2025 08:16:05 -0400
