=== debian/control ===
Source: tree-sitter
Priority: optional
Maintainer: Tree-sitter Maintainers <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
Build-Depends-Arch:
 cargo:native,
 librust-ansi-colours-1+default-dev (>= 1.2.3-~~),
 librust-anstyle-1+default-dev (>= 1.0.8-~~),
 librust-anyhow-1+default-dev (>= 1.0.95-~~),
 librust-bstr-1+default-dev (>= 1.11.3-~~),
 librust-cc-1+default-dev (>= 1.2.10-~~),
 librust-clap-4+cargo-dev (>= 4.5.23-~~),
 librust-clap-4+default-dev (>= 4.5.23-~~),
 librust-clap-4+derive-dev (>= 4.5.23-~~),
 librust-clap-4+env-dev (>= 4.5.23-~~),
 librust-clap-4+help-dev (>= 4.5.23-~~),
 librust-clap-4+unstable-styles-dev (>= 4.5.23-~~),
 librust-clap-complete-4+default-dev (>= 4.5.40-~~),
 librust-ctor+default-dev (<< 0.3-~~),
 librust-ctor+default-dev (>= 0.1-~~),
 librust-ctrlc-3+default-dev (>= 3.4.5-~~),
 librust-ctrlc-3+termination-dev (>= 3.4.5-~~),
 librust-dialoguer-0.11+default-dev,
 librust-dialoguer-0.11+fuzzy-select-dev,
 librust-encoding-rs-0.8+default-dev (>= 0.8.35-~~),
 librust-etcetera-0.8+default-dev,
 librust-filetime-0.2+default-dev (>= 0.2.24-~~),
 librust-fs4+default-dev (<< 0.13-~~),
 librust-fs4+default-dev (>= 0.11-~~),
 librust-glob-0.3+default-dev (>= 0.3.2-~~),
 librust-heck-0.5+default-dev,
 librust-html-escape-0.2+default-dev (>= 0.2.13-~~),
 librust-indexmap-2+default-dev (>= 2.7.0-~~),
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-libloading-0.8+default-dev (>= 0.8.5-~~),
 librust-log-0.4+default-dev (>= 0.4.25-~~),
 librust-log-0.4+std-dev (>= 0.4.25-~~),
 librust-memchr-2+default-dev (>= 2.7.4-~~),
 librust-once-cell-1+default-dev (>= 1.20.2-~~),
 librust-path-slash-0.2+default-dev (>= 0.2.1-~~),
 librust-pretty-assertions-1+default-dev (>= 1.4.0-~~),
 librust-proc-macro2-1+default-dev (>= 1.0.91-~~) <!nocheck>,
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.11.1-~~),
 librust-regex-1+perf-dev (>= 1.11.1-~~),
 librust-regex-1+std-dev (>= 1.11.1-~~),
 librust-regex-1+unicode-dev (>= 1.11.1-~~),
 librust-regex-syntax-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-syntax-0.8+unicode-dev (>= 0.8.5-~~),
 librust-regex-syntax-0.8-dev (>= 0.8.5-~~),
 librust-rustc-hash-1+default-dev (>= 1.1.0-~~),
 librust-semver-1+default-dev (>= 1.0.23-~~),
 librust-semver-1+serde-dev (>= 1.0.23-~~),
 librust-serde-1+default-dev (>= 1.0.217-~~),
 librust-serde-1+derive-dev (>= 1.0.217-~~),
 librust-serde-derive-1+default-dev (>= 1.0.217-~~),
 librust-serde-json-1+default-dev (>= 1.0.137-~~),
 librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
 librust-similar-2+default-dev (>= 2.7.0-~~),
 librust-smallbitvec-2+default-dev (>= 2.5.1-~~),
 librust-streaming-iterator-0.1+default-dev (>= 0.1.9-~~),
 librust-tempfile-3+default-dev (>= 3.15.0-~~),
 librust-thiserror-2+default-dev (>= 2.0.11-~~),
 librust-tiny-http-0.12+default-dev,
 librust-unindent-0.2+default-dev (>= 0.2.3-~~),
 librust-url-2+default-dev (>= 2.5.4-~~),
 librust-url-2+serde-dev (>= 2.5.4-~~),
 librust-walkdir-2+default-dev (>= 2.5.0-~~),
 librust-webbrowser+default-dev (<< 2-~~),
 librust-webbrowser+default-dev (>= 0.8-~~),
 librust-widestring-1+default-dev (>= 1.1.0-~~),
 libstd-rust-dev,
 rustc:native (>= 1.82),
Standards-Version: 4.7.2
Section: libs
Homepage: https://tree-sitter.github.io/tree-sitter/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter

Package: libtree-sitter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtree-sitter0.25 (= ${binary:Version}),
 ${misc:Depends},
Description: incremental parsing system for programming tools (development files)
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 Tree-sitter aims to be:
 .
  * General enough to parse any programming language
  * Fast enough to parse on every keystroke in a text editor
  * Robust enough to provide useful results even in the presence of
    syntax errors
  * Dependency-free so that the runtime library (which is written in pure
    C) can be embedded in any application
 .
 This package contains the header files and libraries needed for developing
 with tree-sitter.

Package: libtree-sitter0.25
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Breaks: libtree-sitter0, libtree-sitter0.22
Replaces: libtree-sitter0, libtree-sitter0.22
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: incremental parsing system for programming tools
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.

Package: librust-tree-sitter-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev (>= 1.2.10-~~),
 librust-regex-1+perf-dev (>= 1.11.1-~~),
 librust-regex-1+std-dev (>= 1.11.1-~~),
 librust-regex-1+unicode-dev (>= 1.11.1-~~),
 librust-regex-syntax-0.8+unicode-dev (>= 0.8.5-~~),
 librust-regex-syntax-0.8-dev (>= 0.8.5-~~),
 librust-serde-json-1+default-dev (>= 1.0.137-~~),
 librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
 librust-streaming-iterator-0.1+default-dev (>= 0.1.9-~~),
 librust-tree-sitter-language-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-tree-sitter+default-dev (= ${binary:Version}),
 librust-tree-sitter+std-dev (= ${binary:Version}),
 librust-tree-sitter-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-0+std-dev (= ${binary:Version}),
 librust-tree-sitter-0-dev (= ${binary:Version}),
 librust-tree-sitter-0.25+default-dev (= ${binary:Version}),
 librust-tree-sitter-0.25+std-dev (= ${binary:Version}),
 librust-tree-sitter-0.25-dev (= ${binary:Version}),
 librust-tree-sitter-0.25.6+default-dev (= ${binary:Version}),
 librust-tree-sitter-0.25.6+std-dev (= ${binary:Version}),
 librust-tree-sitter-0.25.6-dev (= ${binary:Version}),
Description: bindings to the tree-sitter parsing library - Rust source code
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 This package contains the source for the Rust tree-sitter crate,
 packaged for use with cargo and dh-cargo.

Package: librust-tree-sitter-cli-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-ansi-colours-1+default-dev (>= 1.2.3-~~),
 librust-anstyle-1+default-dev (>= 1.0.8-~~),
 librust-anyhow-1+default-dev (>= 1.0.95-~~),
 librust-bstr-1+default-dev (>= 1.11.3-~~),
 librust-clap-4+cargo-dev (>= 4.5.23-~~),
 librust-clap-4+default-dev (>= 4.5.23-~~),
 librust-clap-4+derive-dev (>= 4.5.23-~~),
 librust-clap-4+env-dev (>= 4.5.23-~~),
 librust-clap-4+help-dev (>= 4.5.23-~~),
 librust-clap-4+unstable-styles-dev (>= 4.5.23-~~),
 librust-clap-complete-4+default-dev (>= 4.5.40-~~),
 librust-ctor+default-dev (<< 0.3-~~),
 librust-ctor+default-dev (>= 0.1-~~),
 librust-ctrlc-3+default-dev (>= 3.4.5-~~),
 librust-ctrlc-3+termination-dev (>= 3.4.5-~~),
 librust-dialoguer-0.11+default-dev,
 librust-dialoguer-0.11+fuzzy-select-dev,
 librust-filetime-0.2+default-dev (>= 0.2.24-~~),
 librust-glob-0.3+default-dev (>= 0.3.2-~~),
 librust-heck-0.5+default-dev,
 librust-html-escape-0.2+default-dev (>= 0.2.13-~~),
 librust-indexmap-2+default-dev (>= 2.7.0-~~),
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-log-0.4+default-dev (>= 0.4.25-~~),
 librust-log-0.4+std-dev (>= 0.4.25-~~),
 librust-memchr-2+default-dev (>= 2.7.4-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.11.1-~~),
 librust-regex-syntax-0.8+default-dev (>= 0.8.5-~~),
 librust-rustc-hash-1+default-dev (>= 1.1.0-~~),
 librust-semver-1+default-dev (>= 1.0.23-~~),
 librust-semver-1+serde-dev (>= 1.0.23-~~),
 librust-serde-1+default-dev (>= 1.0.217-~~),
 librust-serde-1+derive-dev (>= 1.0.217-~~),
 librust-serde-derive-1+default-dev (>= 1.0.217-~~),
 librust-serde-json-1+default-dev (>= 1.0.137-~~),
 librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
 librust-similar-2+default-dev (>= 2.7.0-~~),
 librust-smallbitvec-2+default-dev (>= 2.5.1-~~),
 librust-streaming-iterator-0.1+default-dev (>= 0.1.9-~~),
 librust-tiny-http-0.12+default-dev,
 librust-tree-sitter-0.25+default-dev (>= 0.25.1-~~),
 librust-tree-sitter-config-0.25+default-dev (>= 0.25.1-~~),
 librust-tree-sitter-generate-0.25+default-dev (>= 0.25.1-~~),
 librust-tree-sitter-highlight-0.25+default-dev (>= 0.25.1-~~),
 librust-tree-sitter-loader-0.25+default-dev (>= 0.25.1-~~),
 librust-tree-sitter-tags-0.25+default-dev (>= 0.25.1-~~),
 librust-url-2+default-dev (>= 2.5.4-~~),
 librust-url-2+serde-dev (>= 2.5.4-~~),
 librust-walkdir-2+default-dev (>= 2.5.0-~~),
 librust-webbrowser+default-dev (<< 2-~~),
 librust-webbrowser+default-dev (>= 0.8-~~),
 ${misc:Depends},
Provides:
 librust-tree-sitter-cli+default-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0.25+default-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0.25-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0.25.6+default-dev (= ${binary:Version}),
 librust-tree-sitter-cli-0.25.6-dev (= ${binary:Version}),
Description: command-line for Tree-sitter parsers - Rust source code
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 This package contains the source for the Rust tree-sitter-cli crate,
 packaged for use with cargo and dh-cargo.

Package: librust-tree-sitter-config-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-anyhow-1+default-dev (>= 1.0.95-~~),
 librust-etcetera-0.8+default-dev,
 librust-serde-1+default-dev (>= 1.0.217-~~),
 librust-serde-1+derive-dev (>= 1.0.217-~~),
 librust-serde-json-1+default-dev (>= 1.0.137-~~),
 librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
 ${misc:Depends},
Provides:
 librust-tree-sitter-config+default-dev (= ${binary:Version}),
 librust-tree-sitter-config-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-config-0-dev (= ${binary:Version}),
 librust-tree-sitter-config-0.25+default-dev (= ${binary:Version}),
 librust-tree-sitter-config-0.25-dev (= ${binary:Version}),
 librust-tree-sitter-config-0.25.6+default-dev (= ${binary:Version}),
 librust-tree-sitter-config-0.25.6-dev (= ${binary:Version}),
Description: user configuration of tree-sitter's CLI programs - Rust source code
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 This package contains the source for the Rust tree-sitter-config crate,
 packaged for use with cargo and dh-cargo.

Package: librust-tree-sitter-generate-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-anyhow-1+default-dev (>= 1.0.95-~~),
 librust-heck-0.5+default-dev,
 librust-indexmap-2+default-dev (>= 2.7.0-~~),
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-log-0.4+default-dev (>= 0.4.25-~~),
 librust-log-0.4+std-dev (>= 0.4.25-~~),
 librust-regex-1+default-dev (>= 1.11.1-~~),
 librust-regex-syntax-0.8+default-dev (>= 0.8.5-~~),
 librust-rustc-hash-1+default-dev (>= 1.1.0-~~),
 librust-semver-1+default-dev (>= 1.0.23-~~),
 librust-semver-1+serde-dev (>= 1.0.23-~~),
 librust-serde-1+default-dev (>= 1.0.217-~~),
 librust-serde-1+derive-dev (>= 1.0.217-~~),
 librust-serde-json-1+default-dev (>= 1.0.137-~~),
 librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
