=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.25.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-dev:@,
Depends:
 dh-rust,
 librust-bindgen-0.71+default-dev (>= 0.71.1-~~),
 librust-tree-sitter-0.25.6-dev,
 rustc (>= 1.76),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.25.6 --all-targets
Features:
 test-name=librust-tree-sitter-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-0.25.6+default-dev,
 rustc (>= 1.76),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter 0.25.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-0.25.6-dev,
 rustc (>= 1.76),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.25.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-config-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-config-0.25.6-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.25.6 --all-targets
Features:
 test-name=librust-tree-sitter-config-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-config-0.25.6+default-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-config 0.25.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-config-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-config-0.25.6-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-generate 0.25.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-generate-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-generate-0.25.6-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-generate 0.25.6 --all-targets
Features:
 test-name=librust-tree-sitter-generate-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-generate-0.25.6+default-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-generate 0.25.6 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-generate-dev:,
Depends:
 dh-rust,
 librust-tree-sitter-generate-0.25.6-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-highlight 0.25.6 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-highlight-dev:@,
Depends:
 dh-rust,
 librust-tree-sitter-highlight-0.25.6-dev,
 rustc (>= 1.82),
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-highlight 0.25.6 --all-targets
Features:
 test-name=librust-tree-sitter-highlight-dev:default,
Depends:
 dh-rust,
 librust-tree-sitter-highlight-0.25.6+default-dev,
 rustc (>= 1.82),
Restrictions:
