=== debian/changelog ===
tree-sitter (0.25.9-6) unstable; urgency=medium

  * Use binary, not source, package names for Breaks of vim, vimdoc grammars

 -- James McCoy <jamessan@debian.org>  Mon, 20 Oct 2025 06:23:56 -0400

tree-sitter (0.25.9-5) unstable; urgency=medium

  * Break tree-sitter-*-src packages incompatible with new "tree-sitter test"

 -- James McCoy <jamessan@debian.org>  Sun, 19 Oct 2025 20:11:16 -0400

tree-sitter (0.25.9-4) unstable; urgency=medium

  * Revert "fix(lib): replace raw array accesses with `array_get`" since it's
    triggering the asserts on ppc64el. Building the library with -DNDEBUG
    isn't sufficient.

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 21:57:29 -0400

tree-sitter (0.25.9-3) unstable; urgency=medium

  * Remove unnecessary Build-Depends on librust-proc-macro2-dev
  * Add -DNDEBUG to CPPFLAGS in optimized builds (Closes: #1118048)

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 09:08:19 -0400

tree-sitter (0.25.9-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1117123)
  * d/control: Relax heck (Build-)Depends to support >= 0.4, << 0.6
  * d/control: Relax fs4 (Build-)Depends to allow 0.13 (Closes: #1117920)

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:31:00 -0400

tree-sitter (0.25.9-1) experimental; urgency=medium

  * Update to new upstream version 0.25.9.
  * Adjust librust-etcetera-dev dependencies to allow any 0.8 - 0.10 version
  * Remove Rules-Requires-Root: no, since that is the default

 -- James McCoy <jamessan@debian.org>  Sun, 05 Oct 2025 20:05:06 -0400

tree-sitter (0.22.6-8) unstable; urgency=medium

  * Re-upload with patches generated

 -- James McCoy <jamessan@debian.org>  Sat, 13 Sep 2025 15:14:56 -0400

tree-sitter (0.22.6-7) unstable; urgency=medium

  * Bump bindgen dependency to 0.72 (Closes: #1110069)

 -- James McCoy <jamessan@debian.org>  Sat, 13 Sep 2025 14:58:10 -0400
