=== debian/control ===
--- 
+++ 
@@ -27,12 +27,14 @@
  librust-dialoguer-0.11+default-dev,
  librust-dialoguer-0.11+fuzzy-select-dev,
  librust-encoding-rs-0.8+default-dev (>= 0.8.35-~~),
- librust-etcetera-0.8+default-dev,
+ librust-etcetera+default-dev (>= 0.8),
+ librust-etcetera+default-dev (<< 0.11),
  librust-filetime-0.2+default-dev (>= 0.2.24-~~),
- librust-fs4+default-dev (<< 0.13-~~),
+ librust-fs4+default-dev (<< 0.14-~~),
  librust-fs4+default-dev (>= 0.11-~~),
  librust-glob-0.3+default-dev (>= 0.3.2-~~),
- librust-heck-0.5+default-dev,
+ librust-heck+default-dev (>= 0.4),
+ librust-heck+default-dev (<< 0.6),
  librust-html-escape-0.2+default-dev (>= 0.2.13-~~),
  librust-indexmap-2+default-dev (>= 2.7.0-~~),
  librust-indoc-2+default-dev (>= 2.0.5-~~),
@@ -43,7 +45,6 @@
  librust-once-cell-1+default-dev (>= 1.20.2-~~),
  librust-path-slash-0.2+default-dev (>= 0.2.1-~~),
  librust-pretty-assertions-1+default-dev (>= 1.4.0-~~),
- librust-proc-macro2-1+default-dev (>= 1.0.91-~~) <!nocheck>,
  librust-rand-0.8+default-dev (>= 0.8.5-~~),
  librust-regex-1+default-dev (>= 1.11.1-~~),
  librust-regex-1+perf-dev (>= 1.11.1-~~),
@@ -66,6 +67,7 @@
  librust-tempfile-3+default-dev (>= 3.15.0-~~),
  librust-thiserror-2+default-dev (>= 2.0.11-~~),
  librust-tiny-http-0.12+default-dev,
+ librust-topological-sort-0.2+default-dev (>= 0.2.2),
  librust-unindent-0.2+default-dev (>= 0.2.3-~~),
  librust-url-2+default-dev (>= 2.5.4-~~),
  librust-url-2+serde-dev (>= 2.5.4-~~),
@@ -78,8 +80,7 @@
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://tree-sitter.github.io/tree-sitter/
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter.git
 Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter
 
 Package: libtree-sitter-dev
@@ -146,9 +147,9 @@
  librust-tree-sitter-0.25+default-dev (= ${binary:Version}),
  librust-tree-sitter-0.25+std-dev (= ${binary:Version}),
  librust-tree-sitter-0.25-dev (= ${binary:Version}),
- librust-tree-sitter-0.25.6+default-dev (= ${binary:Version}),
- librust-tree-sitter-0.25.6+std-dev (= ${binary:Version}),
- librust-tree-sitter-0.25.6-dev (= ${binary:Version}),
+ librust-tree-sitter-0.25.9+default-dev (= ${binary:Version}),
+ librust-tree-sitter-0.25.9+std-dev (= ${binary:Version}),
+ librust-tree-sitter-0.25.9-dev (= ${binary:Version}),
 Description: bindings to the tree-sitter parsing library - Rust source code
  Tree-sitter is a parser generator tool and an incremental parsing library. It
  can build a concrete syntax tree for a source file and efficiently update the
@@ -181,7 +182,8 @@
  librust-dialoguer-0.11+fuzzy-select-dev,
  librust-filetime-0.2+default-dev (>= 0.2.24-~~),
  librust-glob-0.3+default-dev (>= 0.3.2-~~),
- librust-heck-0.5+default-dev,
+ librust-heck+default-dev (>= 0.4),
+ librust-heck+default-dev (<< 0.6),
  librust-html-escape-0.2+default-dev (>= 0.2.13-~~),
  librust-indexmap-2+default-dev (>= 2.7.0-~~),
  librust-indoc-2+default-dev (>= 2.0.5-~~),
@@ -203,6 +205,7 @@
  librust-smallbitvec-2+default-dev (>= 2.5.1-~~),
  librust-streaming-iterator-0.1+default-dev (>= 0.1.9-~~),
  librust-tiny-http-0.12+default-dev,
+ librust-topological-sort-0.2+default-dev (>= 0.2.2),
  librust-tree-sitter-0.25+default-dev (>= 0.25.1-~~),
  librust-tree-sitter-config-0.25+default-dev (>= 0.25.1-~~),
  librust-tree-sitter-generate-0.25+default-dev (>= 0.25.1-~~),
@@ -221,8 +224,8 @@
  librust-tree-sitter-cli-0-dev (= ${binary:Version}),
  librust-tree-sitter-cli-0.25+default-dev (= ${binary:Version}),
  librust-tree-sitter-cli-0.25-dev (= ${binary:Version}),
- librust-tree-sitter-cli-0.25.6+default-dev (= ${binary:Version}),
- librust-tree-sitter-cli-0.25.6-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.25.9+default-dev (= ${binary:Version}),
+ librust-tree-sitter-cli-0.25.9-dev (= ${binary:Version}),
 Description: command-line for Tree-sitter parsers - Rust source code
  Tree-sitter is a parser generator tool and an incremental parsing library. It
  can build a concrete syntax tree for a source file and efficiently update the
@@ -237,7 +240,8 @@
 Multi-Arch: same
 Depends:
  librust-anyhow-1+default-dev (>= 1.0.95-~~),
- librust-etcetera-0.8+default-dev,
+ librust-etcetera+default-dev (>= 0.8),
+ librust-etcetera+default-dev (<< 0.11),
  librust-serde-1+default-dev (>= 1.0.217-~~),
  librust-serde-1+derive-dev (>= 1.0.217-~~),
  librust-serde-json-1+default-dev (>= 1.0.137-~~),
@@ -249,8 +253,8 @@
  librust-tree-sitter-config-0-dev (= ${binary:Version}),
  librust-tree-sitter-config-0.25+default-dev (= ${binary:Version}),
  librust-tree-sitter-config-0.25-dev (= ${binary:Version}),
- librust-tree-sitter-config-0.25.6+default-dev (= ${binary:Version}),
- librust-tree-sitter-config-0.25.6-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.25.9+default-dev (= ${binary:Version}),
+ librust-tree-sitter-config-0.25.9-dev (= ${binary:Version}),
 Description: user configuration of tree-sitter's CLI programs - Rust source code
  Tree-sitter is a parser generator tool and an incremental parsing library. It
  can build a concrete syntax tree for a source file and efficiently update the
@@ -265,7 +269,8 @@
 Multi-Arch: same
 Depends:
  librust-anyhow-1+default-dev (>= 1.0.95-~~),
- librust-heck-0.5+default-dev,
+ librust-heck+default-dev (>= 0.4),
+ librust-heck+default-dev (<< 0.6),
  librust-indexmap-2+default-dev (>= 2.7.0-~~),
  librust-indoc-2+default-dev (>= 2.0.5-~~),
  librust-log-0.4+default-dev (>= 0.4.25-~~),
@@ -274,8 +279,3 @@
  librust-regex-syntax-0.8+default-dev (>= 0.8.5-~~),
  librust-rustc-hash-1+default-dev (>= 1.1.0-~~),
  librust-semver-1+default-dev (>= 1.0.23-~~),
- librust-semver-1+serde-dev (>= 1.0.23-~~),
- librust-serde-1+default-dev (>= 1.0.217-~~),
- librust-serde-1+derive-dev (>= 1.0.217-~~),
- librust-serde-json-1+default-dev (>= 1.0.137-~~),
- librust-serde-json-1+preserve-order-dev (>= 1.0.137-~~),
